<?php

//foreach ($pedidos as $p)
//{
//
//
//if($p->tipo_pagamento=='66')
//{
//
//echo '<pre>';var_dump($p->tipo_pagamento);
//}
//}
//die;

?>
<div class="row">
    <div class="col-md-8">
        <div class="blank_35"></div>
        <div class="conteudo-direito" id="faturas">



            <div class="container-fluid">
                <!-- Nav tabs -->
                <ul class="nav nav-tabs" role="tablist">
                    <li role="presentation" class="active"><a href="#faturas-pagas" aria-controls="faturas-pagas" role="tab" data-toggle="tab">Pagas</a></li>
                      <? $ano=date("Y")-1;?>
                      <li role="presentation" class="active"><a href="<?php echo base_url(); ?>aluno/financeiro/emitir_declaracaodepagamentos/declaracao" target="_blank" >Declaração de Pagamentos <?php echo $ano; ?> </a></li>
                </ul>




                <!-- Tab panes -->
                <div class="tab-content">
                    <div role="tabpanel" class="tab-pane active" id="faturas-pagas">
                        <h3>Faturas Pagas</h3>
                        <div class="table-responsive">
                         <table class="table table-striped">
                                <thead><tr><td>Transação</td><td>Valor</td><td>Data da compra</td><td>Data do pagamento</td><td>Recibo</td></tr></thead>
                        <?php
                        if (count($pedidos) > 0) {
                            ?>

                                <?php
                                foreach ($pedidos as $pe) {

                                        if ((int) $pe->situacao == 3) {
                                            if ($pe->data_alteracao != "") {
                                                $data_pagamento = formata_data_dia($pe->data_alteracao);
                                            } else {
                                                $data_pagamento = "";
                                            }
                                            if($pe->tipo_pagamento!='66')
                                            {
                                                $bt_recibo = '<a href="' . base_url() . 'aluno/financeiro/emitir_nfp/' . codifica($pe->transacao) . '" target="_blank" alt="Emitir recibo"><span class="glyphicon glyphicon-list-alt"></span></a>';
			}
                                            elseif ($pe->tipo_pagamento=='66')
                                            {
                                                $bt_recibo='COMPRA COM SALDO';

                                            }
                                            echo '<tr><td>' . $pe->transacao . '</td><td>R$' . format_number($pe->valor) . '</td><td>' . formata_data_dia($pe->data_compra) . '</td><td>' . $data_pagamento . '</td><td>' . $bt_recibo . '</td></tr>';
                                        }
                                }
                                ?>
                                <?php
                            } else {
                                echo "<pre>Nenhum registro encontrado.</pre>";
                            }
                            ?>



                            <?php
                            if (count($pedidos) > 0) {
                                ?>


                                    <?php
                                    foreach ($pedidos as $pe) {
                                        if ((int) $pe->situacao != 3){
//	$params['token_account'] = 'a44677dac7cba94';

       	$params['token_transaction'] = $pe->cod_interme;
//	$urlPost = "https://api.sandbox.traycheckout.com.br/v2/transactions/get_by_token";

        $params['token_account'] = '32e9c1b008b07a0';

        $urlPost = "https://api.traycheckout.com.br/v2/transactions/get_by_token";


        ob_start();
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $urlPost);
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $params);
        curl_exec($ch);

        /* XML de retorno */
        $resposta = simplexml_load_string(ob_get_contents());
        ob_end_clean();
        curl_close($ch);
        if ($resposta->message_response->message == "success") {
		  $codigo_pagamento = $resposta->data_response->transaction->payment->payment_method_id;
          $pedido = $resposta->data_response->transaction->order_number;
          $cod_status = $resposta->data_response->transaction->status_id;
		  if($cod_status==6){
											    $bt_recibo = '<a href="' . base_url() . 'liberamanual/' . codifica($pe->transacao) . '" alt="Informar Pagamento"><button class="btn btn-success matricular-curso" style="float: right; margin-right: 10px;"><span class="glyphicon glyphicon-thumbs-up"></span> Informar Pagamento</button></a>';
					echo '<tr><td>' . $pe->transacao . '</td><td>R$' . format_number($pe->valor) . '</td><td>' . formata_data_dia($pe->data_compra) . '</td><td></td><td>' . $bt_recibo . '</td></tr>';


											}

                                            }

                                        }
                                    }
                                    ?>
                                    <?php
                                } else {
                                    echo "<pre>Nenhum registro encontrado.</pre>";
                                }
                                ?>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</div>
</div>